Bug 178803 - Needless working below #install the extra icons in gnome-icon-theme.spec
Needless working below #install the extra icons in gnome-icon-theme.spec
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-icon-theme (Show other bugs)
rawhide
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-24 10:14 EST by sangu
Modified: 2013-03-13 00:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-12 06:39:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Remove needless working in gnome-icon-theme.spec (2.98 KB, patch)
2006-02-07 00:12 EST, sangu
no flags Details | Diff
gnome-icon-theme.spec Patch for gnome-icon-theme.-2.13.7-1 (2.63 KB, patch)
2006-02-07 00:27 EST, sangu
no flags Details | Diff

  None (edit)
Description sangu 2006-01-24 10:14:22 EST
Description of problem:

Because icon-naiming-utils make link for fedora icons from
gnome-icon-theme-2.13.5, needless working below #install the extra icons in
gnome-icon-theme.spec.


Version-Release number of selected component (if applicable):
gnome-icon-theme-2.13.5.1-2

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 sangu 2006-02-07 00:12:52 EST
Created attachment 124299 [details]
Remove needless working in gnome-icon-theme.spec
Comment 2 sangu 2006-02-07 00:27:21 EST
Created attachment 124300 [details]
gnome-icon-theme.spec Patch for gnome-icon-theme.-2.13.7-1
Comment 3 Matthias Clasen 2006-02-07 14:08:46 EST
No, this is a misunderstanding. icon-naming-utils does not create redhat-
symlinks. At least I would be very surprised if it did.
Comment 4 sangu 2006-02-07 20:46:38 EST
See below. 

$ cat /usr/share/icon-naming-utils/legacy-icon-mapping.xml | grep redhat
            <link>redhat-home</link>
            <link>redhat-email</link>
            <link>redhat-web-browser</link>
            <link>redhat-filemanager</link>
            <link>redhat-accessories</link>
            <link>redhat-programming</link>
            <link>redhat-games</link>
            <link>redhat-graphics</link>
            <link>redhat-internet</link>
            <link>redhat-sound_video</link>
            <link>redhat-office</link>
            <link>redhat-system_tools</link>
            <link>redhat-preferences</link>
            <link>redhat-system_settings</link>
            <link>redhat-network-server</link>

http://hellocity.net/~sangu/moniwiki/pds/TangoProject/tango-icon-theme-0.6.7-1.src.rpm.gz

$ rpm -ql tango-icon-theme | grep redhat
/usr/share/icons/Tango/16x16/actions/redhat-home.png
/usr/share/icons/Tango/16x16/apps/redhat-email.png
/usr/share/icons/Tango/16x16/apps/redhat-filemanager.png
/usr/share/icons/Tango/16x16/apps/redhat-web-browser.png
/usr/share/icons/Tango/16x16/categories/redhat-accessories.png
/usr/share/icons/Tango/16x16/categories/redhat-games.png
/usr/share/icons/Tango/16x16/categories/redhat-graphics.png
/usr/share/icons/Tango/16x16/categories/redhat-internet.png
/usr/share/icons/Tango/16x16/categories/redhat-office.png
/usr/share/icons/Tango/16x16/categories/redhat-preferences.png
/usr/share/icons/Tango/16x16/categories/redhat-programming.png
/usr/share/icons/Tango/16x16/categories/redhat-sound_video.png
/usr/share/icons/Tango/16x16/categories/redhat-system_settings.png
/usr/share/icons/Tango/16x16/categories/redhat-system_tools.png
/usr/share/icons/Tango/16x16/places/redhat-network-server.png
/usr/share/icons/Tango/16x16/places/redhat-server_settings.png
/usr/share/icons/Tango/22x22/actions/redhat-home.png
/usr/share/icons/Tango/22x22/apps/redhat-email.png
/usr/share/icons/Tango/22x22/apps/redhat-filemanager.png
/usr/share/icons/Tango/22x22/apps/redhat-web-browser.png
/usr/share/icons/Tango/22x22/categories/redhat-accessories.png
/usr/share/icons/Tango/22x22/categories/redhat-games.png
/usr/share/icons/Tango/22x22/categories/redhat-graphics.png
/usr/share/icons/Tango/22x22/categories/redhat-internet.png
/usr/share/icons/Tango/22x22/categories/redhat-office.png
/usr/share/icons/Tango/22x22/categories/redhat-preferences.png
/usr/share/icons/Tango/22x22/categories/redhat-programming.png
/usr/share/icons/Tango/22x22/categories/redhat-sound_video.png
/usr/share/icons/Tango/22x22/categories/redhat-system_settings.png
/usr/share/icons/Tango/22x22/categories/redhat-system_tools.png
/usr/share/icons/Tango/22x22/places/redhat-network-server.png
/usr/share/icons/Tango/22x22/places/redhat-server_settings.png
/usr/share/icons/Tango/24x24/actions/redhat-home.png
/usr/share/icons/Tango/24x24/apps/redhat-email.png
/usr/share/icons/Tango/24x24/apps/redhat-filemanager.png
/usr/share/icons/Tango/24x24/apps/redhat-web-browser.png
/usr/share/icons/Tango/24x24/categories/redhat-accessories.png
/usr/share/icons/Tango/24x24/categories/redhat-games.png
/usr/share/icons/Tango/24x24/categories/redhat-graphics.png
/usr/share/icons/Tango/24x24/categories/redhat-internet.png
/usr/share/icons/Tango/24x24/categories/redhat-office.png
/usr/share/icons/Tango/24x24/categories/redhat-preferences.png
/usr/share/icons/Tango/24x24/categories/redhat-programming.png
/usr/share/icons/Tango/24x24/categories/redhat-sound_video.png
/usr/share/icons/Tango/24x24/categories/redhat-system_settings.png
/usr/share/icons/Tango/24x24/categories/redhat-system_tools.png
/usr/share/icons/Tango/24x24/places/redhat-network-server.png
/usr/share/icons/Tango/24x24/places/redhat-server_settings.png
/usr/share/icons/Tango/scalable/actions/redhat-home.svg
/usr/share/icons/Tango/scalable/apps/redhat-email.svg
/usr/share/icons/Tango/scalable/apps/redhat-filemanager.svg
/usr/share/icons/Tango/scalable/apps/redhat-web-browser.svg
/usr/share/icons/Tango/scalable/categories/redhat-accessories.svg
/usr/share/icons/Tango/scalable/categories/redhat-games.svg
/usr/share/icons/Tango/scalable/categories/redhat-graphics.svg
/usr/share/icons/Tango/scalable/categories/redhat-internet.svg
/usr/share/icons/Tango/scalable/categories/redhat-office.svg
/usr/share/icons/Tango/scalable/categories/redhat-preferences.svg
/usr/share/icons/Tango/scalable/categories/redhat-programming.svg
/usr/share/icons/Tango/scalable/categories/redhat-sound_video.svg
/usr/share/icons/Tango/scalable/categories/redhat-system_settings.svg
/usr/share/icons/Tango/scalable/categories/redhat-system_tools.svg
/usr/share/icons/Tango/scalable/places/redhat-network-server.svg
/usr/share/icons/Tango/scalable/places/redhat-server_settings.svg

$ rpm -ql gnome-icon-theme ( Using attachment 124300 [details] ) | grep redhat
/usr/share/icons/gnome/16x16/actions/redhat-home.png
/usr/share/icons/gnome/16x16/categories/redhat-internet.png
/usr/share/icons/gnome/16x16/categories/redhat-preferences.png
/usr/share/icons/gnome/16x16/categories/redhat-programming.png
/usr/share/icons/gnome/16x16/places/redhat-network-server.png
/usr/share/icons/gnome/24x24/actions/redhat-home.png
/usr/share/icons/gnome/24x24/categories/redhat-games.png
/usr/share/icons/gnome/24x24/categories/redhat-graphics.png
/usr/share/icons/gnome/24x24/categories/redhat-internet.png
/usr/share/icons/gnome/24x24/categories/redhat-office.png
/usr/share/icons/gnome/24x24/categories/redhat-preferences.png
/usr/share/icons/gnome/24x24/categories/redhat-programming.png
/usr/share/icons/gnome/24x24/categories/redhat-sound_video.png
/usr/share/icons/gnome/24x24/places/redhat-network-server.png
/usr/share/icons/gnome/48x48/actions/redhat-home.png
/usr/share/icons/gnome/48x48/categories/redhat-accessories.png
/usr/share/icons/gnome/48x48/categories/redhat-games.png
/usr/share/icons/gnome/48x48/categories/redhat-graphics.png
/usr/share/icons/gnome/48x48/categories/redhat-internet.png
/usr/share/icons/gnome/48x48/categories/redhat-office.png
/usr/share/icons/gnome/48x48/categories/redhat-preferences.png
/usr/share/icons/gnome/48x48/categories/redhat-sound_video.png
/usr/share/icons/gnome/48x48/categories/redhat-system_tools.png
/usr/share/icons/gnome/48x48/places/redhat-network-server.png
Comment 5 sangu 2006-02-12 06:39:08 EST
Building gnome-icon-theme 2.14.0 doesn't require icon-naming-utils.

Note You need to log in before you can comment on or make changes to this bug.